<?php
/**
 * @copyright ICZ Corporation (http://www.icz.co.jp/)
 * @license See the LICENCE file
 * @author <sencha@icz.co.jp>
 * @version $Id$
 */

class CommonComponent extends Object {
	var $_controller;

	function startup(& $controller) {
		$this->_controller = $controller;
	}

	/**
	 * メール送信関連の処理
	 *
	 * @param  $to      メール送信先アドレス
	 * @param  $subject メールのサブジェクト
	 * @param  $body    メールの本文
	 *
	 * @return bool     メールが送信できたかどうか
	 */
	function send_mail($to=null, $subject, $body,$from=null)
	{
		App::import('Model','User');
		$User = new User();
		App::import('Component', 'Qdmail');
		$mail = new QdmailComponent();

		$admin =$User->find('first',array('conditions' => array('AUTHORITY' => 0)));
		if($from==null){
			$sender = $User->find('first',array('conditions' => array('AUTHORITY' => 0)));
		}else{
			$sender=array();
			$sender = $from;
		}
		if($to==null){
			$to_u = $User->find('first',array('conditions' => array('AUTHORITY' => 0)));
			$to = $to_u['User']['MAIL'];
		}
		//メールを送信するユーザーリストの取得
		$mail->mtaOption( "-f ".$admin['User']['MAIL']);
		$mail->subject($subject);
		$mail->from(array($sender['User']['MAIL'], $sender['User']['NAME']));
		$mail->kana(true);
		$mail->text($body);
		$mail->to($to);
		$mail->errorDisplay(false);
 		return $mail->send();
	}
}