<?php
/**
* @copyright ICZ Corporation (http://www.icz.co.jp/)
* @license See the LICENCE file
* @author <sencha@icz.co.jp>
* @version $Id$
*/

//環境設定モデル
class Configration extends AppModel{

	var $name	=	'Configrations';
	var $useTable	=	'T_CONFIGURE';
	var $primaryKey = 'CON_ID';

	var $components = array('Auth');

	//プラグイン読み込み
	var $actsAs = array('Cakeplus.AddValidationRule');

	/* save_conf($_params)
	 * 環境設定を保存するための関数
	 * $_params 保存したいデータ
	 *
	 * return  bool
	 */
	Public Function save_conf($_params){
		//現在のデータを取得
		$invite_v = $this->find('first',array('conditions'=>array('NAME'=>'INVIETE')));
		$apporoval_v = $this->find('first',array('conditions'=>array('NAME'=>'APPOROVAL')));
		$general_v = $this->find('first',array('conditions'=>array('NAME'=>'GENERAL')));
		$withdrawal_v = $this->find('first',array('conditions'=>array('NAME'=>'WITHDRAWAL')));

		//取得したデータを上書き
		$invite_v['Configration']['VALUE']=$_params['Configration']['INVITE'];
		$apporoval_v['Configration']['VALUE']=$_params['Configration']['APPOROVAL'];
		$general_v['Configration']['VALUE']=$_params['Configration']['GENERAL'];
		$withdrawal_v['Configration']['VALUE']=$_params['Configration']['WITHDRAWAL'];

		$result = array();

		array_push($result,$invite_v,$apporoval_v,$general_v,$withdrawal_v);

		//保存
		if($this->saveAll($result)){
			return true;
		}
		return false;


	}

}